org.apache.ignite.internal.processors.rest.request

## Class GridRestTaskRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.request.GridRestRequest
  - - org.apache.ignite.internal.processors.rest.request.GridRestTaskRequest

    public class GridRestTaskRequest
    extends GridRestRequest

Grid task command request.

### Constructor Summary

Constructors
Constructor and Description
`GridRestTaskRequest()`

### Method Summary

Methods
`boolean` `async()`
`void` `async(boolean async)`
`List<Object>` `params()`
`void` `params(List<Object> params)`
`String` `taskId()`
`void` `taskId(String taskId)`
`String` `taskName()`
`void` `taskName(String taskName)`
`long` `timeout()`
`void` `timeout(long timeout)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.rest.request.GridRestRequest

`address, address, clientId, clientId, command, command, credentials, credentials, destinationId, destinationId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridRestTaskRequest

    public GridRestTaskRequest()

### Method Detail

#### taskName

    public String taskName()

Returns:
  Task name, if specified, `null` otherwise.

#### taskName

    public void taskName(String taskName)

Parameters:
  `taskName` - Name of task for execution.

#### taskId

    public String taskId()

Returns:
  Task identifier, if specified, `null` otherwise.

#### taskId

    public void taskId(String taskId)

Parameters:
  `taskId` - Task identifier.

#### async

    public boolean async()

Returns:
  Asynchronous execution flag.

#### async

    public void async(boolean async)

Parameters:
  `async` - Asynchronous execution flag.

#### params

    public List<Object> params()

Returns:
  Task execution parameters.

#### params

    public void params(List<Object> params)

Parameters:
  `params` - Task execution parameters.

#### timeout

    public long timeout()

Returns:
  Timeout.

#### timeout

    public void timeout(long timeout)

Parameters:
  `timeout` - Timeout.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridRestRequest`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017